Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.chapterIV.wrapper.factory
Interface XmlObjectFactory

All Known Implementing Classes:
  AskXmlObjectFactory, ConsultationXmlObjectFactory

    public interface XmlObjectFactory

Creates the different generic wrappers that contain the correct subtypes. this is needed because the subtypes are generated from xsd that do not use common supertypes. their content does comply to specific interfaces though. By creating wrapper classes we can keep our code generic.

Method Summary
`Chap4MedicalAdvisorAgreementRequestWrapper` | `createChap4MedicalAdvisorAgreementRequest()` creates a Chap4MedicalAdvisorAgreementRequest request, in a wrapped object ( which implements the common interface ).
`SealedRequestWrapper` | `createSealedRequest()` creates a sealed request, in a wrapped object ( which implements the common interface ).
`UnsealedRequestWrapper` | `createUnsealedRequest()` creates a unsealed request, in a wrapped object ( which implements the common interface ).
`String` | `getSubtypeNameToRetrieveCredentialTypeProperties()` returns the subtype to use in the property key to retrieve credential type properties in ACLUtils.createAclChapterIV.

Method Detail

### createSealedRequest

    SealedRequestWrapper createSealedRequest()

  creates a sealed request, in a wrapped object ( which implements the common interface ).

  Returns:
    the `SealedRequestWrapper`

### createUnsealedRequest

    UnsealedRequestWrapper createUnsealedRequest()

  creates a unsealed request, in a wrapped object ( which implements the common interface ).

  Returns:
    `UnsealedRequestWrapper`

### createChap4MedicalAdvisorAgreementRequest

    Chap4MedicalAdvisorAgreementRequestWrapper createChap4MedicalAdvisorAgreementRequest()

  creates a Chap4MedicalAdvisorAgreementRequest request, in a wrapped object ( which implements the common interface ).

  Returns:
    `Chap4MedicalAdvisorAgreementRequestWrapper`

### getSubtypeNameToRetrieveCredentialTypeProperties

    String getSubtypeNameToRetrieveCredentialTypeProperties()

  returns the subtype to use in the property key to retrieve credential type properties in ACLUtils.createAclChapterIV.

  Returns:
    String

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPHYSICIAN 3.14.1 API
Copyright © {inceptionYear}-2017 eHealth. All Rights Reserved.